package com.sifang.modules.supply.order.request;

import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

public class OutStockDetailReq implements Serializable {

    @NotBlank(message = "物料id不能为空")
    private String materialId;

    @NotNull(message = "使用数量不能为空")
    private BigDecimal amount;

    public String getMaterialId() {
        return materialId;
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    @Override
    public String toString() {
        return "OutStockDetailReq{" +
                "materialId='" + materialId + '\'' +
                ", amount=" + amount +
                '}';
    }
}
